Subject: [Teas] progressing draft-ietf-teas-lsp-attribute-ro

From: Lou Berger <[email-masked]>
Date: Mon, 29 Dec 2014 10:44:02 -0500

Authors (WG),
    I'm the shepherd for this document.  I was hoping to put in the
publication request for this document today as it would have been nice
to have a publication request in 2014! Unfortunately, I see some minor
comments that were not addressed from the LC.  In particular the ones
from Matt (but unfortunately off list -- please don't worry about the
abbreviations, the RFC editor will fix if/where needed).

When do you expect to have this revision ready?

Thanks,

Lou

PS  Matt,
    If you don't mind, could you summarize the comments you expect to be
addressed on the WG list?  It would be good for the WG to understand the
coming changes and have an opportunity to provide comments if so desired.

---

From: "Matt Hartley (mhartley)" <[email-masked]>
Date: Tue, 30 Dec 2014 16:40:38 +0000

> coming changes and have an opportunity to provide comments if so desired.

My comments to be addressed. This isn't a complete list of the comments I actually made; there were a couple more that won't be addressed for one reason or another, which I'm OK with.

Section 1: " Explicit Route (ERO) object" -> "Explicit Route object (ERO)"

Section 1.1 is empty.

Section 2: expand SERO (first use)

Section 3.1: expand OF (first use)

Section 3.1: reserved bits... why have you specified that the MUST be set to 0 on transmission? Isn't it more usual to say that this SHOULD be done (if only to allow for future use for the field)? Also: "when a node process the ERO" -> "when a node processes the ERO".

Section 4.1: reserved bits... same comments as for 3.1.

4.2.1: "pair of Subobject" -> "pair of Subobjects"

4.2.1: expand LSR (first use)

4.2.3: "Head end nodes not supporting the RRO_HOP_ATTRIBUTE will drop the information." - presumably this is a backward-compatibility note, so it might be an idea to specify where this behavior is defined (RFC3209 section-4.4.5). Also: "Head end" -> "Ingress"? Isn't that the usual term?

On my comment on MUST vs SHOULD for setting reserved bits to 0 on transmission: Cyril did a lot of looking through other RFCs and it seems that there's no real consensus on the right thing to do here, so I'm OK with leaving it as it stands.

Cheers

Matt